WinSCP 5.18 or 6 compatibility with just released PuTTY 0.75 64-bit for MS Windows?

Advertisement

t603
Joined:
Posts:
10
Location:
Prague

WinSCP 5.18 or 6 compatibility with just released PuTTY 0.75 64-bit for MS Windows?

Dobrý den,

I would like to ask You, which version of WinSCP will be compatible (and or will contain) with just released PuTTY 0.75 64-bit for MS Windows?

I am afraid, that quite soon I will be asked to uprade PuTTY to 0.75 64-bit for MS Windows, especially because of its bug-fixes.

Regards, Štěpán

Reply with quote

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
35,731
Location:
Prague, Czechia

Re: WinSCP 5.18 or 6 compatibility with just released PuTTY 0.75 64-bit for MS Windows?

What kind of compatibility do you mean? WinSCP does not really talk to PuTTY, so it does not need to be compatible anyhow.

The only problem can be the new PuTTY key format (PPK3) introduced in PuTTY 0.75. So if you generate a new key with the default settings in PuTTYgen 0.75, you won't be able to use it directly in WinSCP. Though, there won't be any problem, if you use the new key via Pageant. And no problem whatsoever with the existing keys (in the old PPK2 format).

But even the new PuTTYgen can generate (or convert) the key in the old format.
Go to Key > Parameters for saving key ley files > PPK file version > 2.

Having that said, we will definitely upgrade WinSCP to PuTTY 0.75 asap. Possibly even in WinSCP 5.18.5 – Depending on complexity of changes in PuTTY 0.75.
See https://winscp.net/tracker/1984

Reply with quote

Advertisement

You can post new topics in this forum